/** This is the class for references to IL (intermediate language)
 * local & formal variables. */

package IL;

public class ILVar {
    // Instance variable
    protected ILVarDecl decl;


    // Constructor
    public ILVar(ILVarDecl d) {
	decl = d;
    }


    // Accessor
    public ILVarDecl getDecl() {
	return decl;
    }


    // Printing
    public String toString() {
	return decl.getName();
    }
}
