/** This is the abstract superclass of all IL (intermediate language)
 * global data initial values */

package IL;

import Target.*;
import java.io.*;

public abstract class ILValue {
    // Constructor
    public ILValue() { }

    // Printing
    public abstract String toString();


    // Target code generation operations

    /** generate code for this initializer */
    public abstract void codegenInitializer(Target target) throws IOException;
}
